# saga::parameter_exception Class Reference

`#include <exception.hpp>`

Inheritance diagram for saga::parameter_exception:

[legend]

List of all members.

## Protected Member Functions
| parameter_exception (saga::object obj, std::string const &m, saga::error e)
| Brief description starts here.
| parameter_exception (saga::object obj, std::vector< saga::exception > const &l)
| parameter_exception (std::string const &m, saga::error e)
| Brief description starts here.

## Constructor & Destructor Documentation

saga::parameter_exception::parameter_exception | ( | saga::object | obj,
|  | std::string const & | m,
|  | saga::error | e |
| ) |  |  | `[inline, protected]`

Brief description starts here.

saga::parameter_exception::parameter_exception | ( | saga::object | obj,
|  | std::vector< saga::exception > const & | l |
| ) |  |  | `[inline, protected]`

saga::parameter_exception::parameter_exception | ( | std::string const & | m,
|  | saga::error | e |
| ) |  |  | `[inline, protected]`

Brief description starts here.

The documentation for this class was generated from the following file:

- exception.hpp